Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Protected Member Functions
AllocatorBase< T > Class Template Reference
Inheritance diagram for AllocatorBase< T >:

List of all members.

## Public Types

typedef T | value_type
typedef size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T * | pointer
typedef const T * | const_pointer
typedef T & | reference
typedef const T & | const_reference

## Public Member Functions

pointer | address (reference r) const
const_pointer | address (const_reference r) const
void | construct (pointer p, const T &val)
void | destroy (pointer p)
size_type | max_size () const

## Static Protected Member Functions

static void | CheckSize (size_t n)

## Detailed Description

### template<class T>
class AllocatorBase< T >

Definition at line 15 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h